import { useRequest } from '@/use/useHttp'

/**
 *  客户列表
 * @returns 
 */
export const CensusApi = () => {
    return useRequest({
        url: `/v1/mp/saleOrderDataForm`,
        method: "get"
    })
}

/**
 * 面料销售排行
 * @returns
 */
export const ProductRankApi = () => {
  return useRequest({
    url: `/v1/mp/saleOrderDataForm/product/list`,
    method: 'get',
  })
}

/**
 * 客户销售排行
 * @returns
 */
export const PurchaserRankApi = () => {
  return useRequest({
    url: `/v1/mp/saleOrderDataForm/purchaser/list`,
    method: 'get',
  })
}

/**
 * 经销商销售排行
 * @returns
 */
export const SupplierRankApi = () => {
  return useRequest({
    url: `/v1/mp/saleOrderDataForm/supplier/list`,
    method: 'get',
  })
}

/**
 * 业务员销售排行
 * @returns
 */
export const SalesmanRankApi = () => {
  return useRequest({
    url: `/v1/mp/saleOrderDataForm/saleUser/list`,
    method: 'get',
  })
}
