import AtCalendar from '@/components/calendar'
import DropDownItem, { DropDownOptions } from '@/components/dropDown-item'
import SelectMarketingDepartment from '@/components/SelectMarketingDepartment'
import SelectSaleType from '@/components/SelectSaleType'
import SelectTimePicker from '@/components/SelectTimePicker'
import TimePicker from '@/components/timePicker'
import { View } from '@tarojs/components'
import classnames from 'classnames'
import dayjs from 'dayjs'
import { useState } from 'react'
import styles from './index.module.scss'

const saleStatistic = () => {
  const [options, setOptions] = useState<DropDownOptions[]>([
    {
      text: 'name',
      value: 0,
    },
    {
      text: 'name1',
      value: 1,
    },
    {
      text: 'name2',
      value: 2,
    },
    {
      text: 'name3',
      value: 3,
    },
  ])

  const onChangeTimePicker = (value) => {
    console.log(value)
  }
  const onChangeSaleType = (saleType) => {
    console.log(saleType)

  }
  const onChangeDepartment = (department) => {
    console.log(department)

  }

  return (
    <View className={styles.saleStatistic}>
      <View className={styles['saleStatistic--filterBar']}>
        <SelectSaleType onChange={onChangeSaleType}></SelectSaleType>
        <SelectMarketingDepartment onChange={onChangeDepartment}></SelectMarketingDepartment>
        <SelectTimePicker onChange={onChangeTimePicker}></SelectTimePicker>
      </View>
    </View>
  )
}
export default saleStatistic
